<!DOCTYPE html>
<html lang="ko">

<head>
	<title>text, password, email, number</title>
</head>

<body>
	<h1>텍스트 입력하기</h1>
	<!-- 타입 속성에 입력받을 데이터 타입 지정(텍스트/패스워드/체크박스/라디오버튼) -->

	<!-- 일반텍스트 -->
	<p>
		<input type="text">
		<input type="text" value="둘리"/> <!-- 값 미리 입력 -->
		<input type="text" placeholder="이름을 입력하세요!"> <!-- 사용자에게 힌트주기 -->
		<input type="text" disabled> <!-- 필드를 비활성화시키면 아무런 값도 입력할 수 없음 -->
	</p>
	<!-- 패스워드, 이메일, 숫자, 파일 업로드 -->
	<p>
		<input type="password"> <!-- 값을 화면에서 숨김 (ex.패스워드) -->
		<input type="email"> <!-- 이메일 주소 입력 (검증 툴팁) -->
		<input type="number"> <!-- 숫자 입력 -->
		<input type="file"> <!-- 파일 업로드 -->
	</p>

</body>

</html>

<!--
인라인 요소이지만, 블록요소처럼 너비/높이/여백을 지정할 수 있다
-->